<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Luis
 * Date: 16/12/13
 * Time: 20:55
 * To change this template use File | Settings | File Templates.
 */

use Fuel\Core\DB;
use Fuel\Core\Response;
use \Parser\View;
use Auth\Auth;

class Controller_Consultanutricionista_Index extends \Controller_App{

    public function before(){
        //Se cargan funciones de javascript especificas de esta funcionalidad
        Casset::js('consultas/index.js');
        parent::before();
    }

    /**
     *
     * Obtenemos todas las conversaciones
     *
     * @return Response
     */
    public function get_index(){

        $view = View::forge('consultas/index.twig');

        //Titulo de la vista
        $view->title = "Consultas";

        //Pasar la leyenda para la info funcionamiento de la página
        $view->leyenda = "En esta página puedes ver el listado de consultas realizadas y crear una nueva. Si el estado de la consulta es 'respuesta', significa que el nutricionista ha respondido. Si pulsas sobre la consulta podrás ver los detalles de la conversación y responder";

        $conversations = $this->ws_conversations("conversation");
        $view->conversations = json_decode(json_encode($conversations), true);

        return Response::forge($view);
    }


    /**
     *
     * Vemos detalle de la conversación
     *
     * @param $id
     * @return Response
     */
    public function get_ver($id){

        $view = View::forge('consultas/ver.twig');

        //Titulo de la vista
        $view->title = "Consulta";

        //Pasar la leyenda para la info funcionamiento de la página
        $view->leyenda = "Aquí puedes consultar el hilo de la consulta y responder a tu nutricionista.";

        $conversation = $this->ws_conversations("conversation/$id");

        $view->conversation = json_decode(json_encode($conversation), true);

        return Response::forge($view);
    }


    /**
     * Creamos o añadimos mensajes a una conversación.
     */
    public function post_update(){

        if(\Fuel\Core\Input::post("id","0") == "0"){

            return $this->ws_conversations_post(\Fuel\Core\Input::post()) ? Response::redirect("consultas-nutricionista") : Response::redirect_back();

        }else{

            return $this->ws_conversation_message_put(\Input::post('id',"0"),\Input::post()) ? Response::redirect("consultas-nutricionista") : Response::redirect_back();
        }


    }
}